Bug 1278942 - ivtv driver update disabled input 5 (Composite 3) on PVR350
ivtv driver update disabled input 5 (Composite 3) on PVR350
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 14:41 EST by Andrew Meredith
Modified: 2016-02-23 14:48 EST (History)
8 users (show)

See Also:
Fixed In Version: kernel-4.3.5-300.fc23 kernel-4.3.5-200.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-07 22:22:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Meredith 2015-11-06 14:41:55 EST
Description of problem:

The card input Composite 3, input 5, on the PVR350 was disabed by a kernel update.

See http://www.spinics.net/lists/linux-media/msg94598.html for details.

I have replicated these results.

The change that killed it is:

http://git.linuxtv.org/cgit.cgi/media_tree.git/commit/drivers/media/pci/ivtv/ivtv-driver.c?id=09290cc885937cab3b2d60a6d48fe3d2d3e04061

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Update to latst kernel
2. Watch PVR fail to start as the input is now invalid
3.

Actual results:


Expected results:


Additional info:
Comment 1 Warren Sturm 2016-01-14 01:26:13 EST
This is still a bug in kernel 4.3.3-300.fc23.x86_64.
Comment 2 Andrew Meredith 2016-01-27 11:30:53 EST
Has there been any forward movement on integrating the patches created by Mauro Carvalho Chehab <mchehab@osg.samsung.com> last November to fix this ?
Comment 3 Warren Sturm 2016-01-28 00:51:58 EST
The commit is still in 4.3.4 but the rawhide kernel doesn't have it anymore.
Comment 4 Josh Boyer 2016-01-28 08:34:02 EST
(In reply to Andrew Meredith from comment #2)
> Has there been any forward movement on integrating the patches created by
> Mauro Carvalho Chehab <mchehab@osg.samsung.com> last November to fix this ?

He CC'd the revert to stable, but it hasn't shown up there yet.  It isn't queued for 4.3.5 either, so I'll backport the revert and the subsequent correct (?) fix today and submit a scratch build for you to test.
Comment 5 Josh Boyer 2016-01-28 08:42:41 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=12711729

Please test when it completes.
Comment 6 Warren Sturm 2016-01-28 15:35:19 EST
That has fixed the inputs problem.

output from:  v4l2-ctl -d /dev/pvr250-mpg --list-inputs

ioctl: VIDIOC_ENUMINPUT
	Input   : 0
	Name    : Tuner 1
	Type    : 0x00000001
	Audioset: 0x00000007
	Tuner   : 0x00000000
	Standard: 0x0000000000001000 ( NTSC )
	Status  : 0

	Input   : 1
	Name    : S-Video 1
	Type    : 0x00000002
	Audioset: 0x00000007
	Tuner   : 0x00000000
	Standard: 0x0000000000FFFFFF ( PAL NTSC SECAM )
	Status  : 0

	Input   : 2
	Name    : Composite 1
	Type    : 0x00000002
	Audioset: 0x00000007
	Tuner   : 0x00000000
	Standard: 0x0000000000FFFFFF ( PAL NTSC SECAM )
	Status  : 0

	Input   : 3
	Name    : S-Video 2
	Type    : 0x00000002
	Audioset: 0x00000007
	Tuner   : 0x00000000
	Standard: 0x0000000000FFFFFF ( PAL NTSC SECAM )
	Status  : 0

	Input   : 4
	Name    : Composite 2
	Type    : 0x00000002
	Audioset: 0x00000007
	Tuner   : 0x00000000
	Standard: 0x0000000000FFFFFF ( PAL NTSC SECAM )
	Status  : 0

	Input   : 5
	Name    : Composite 3
	Type    : 0x00000002
	Audioset: 0x00000007
	Tuner   : 0x00000000
	Standard: 0x0000000000FFFFFF ( PAL NTSC SECAM )
	Status  : 0
Comment 7 Josh Boyer 2016-01-28 15:48:04 EST
Thanks for testing.  I've included the patches in Fedora git and they will be in the next official build.
Comment 8 Fedora Update System 2016-02-01 21:26:00 EST
kernel-4.3.5-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-16a5625f33
Comment 9 Fedora Update System 2016-02-01 21:27:01 EST
kernel-4.3.5-300.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fd30ad26a9
Comment 10 Fedora Update System 2016-02-07 22:22:32 EST
kernel-4.3.5-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Andrew Meredith 2016-02-08 09:27:35 EST
I wasn't able to test this kernel thoroughly as there is a problem with the graphics driver. Apparently kernel 4.3 removes some symbols that are referenced by the driver, so it won't load. This meant that I had to just do a quick check and revert back to the last version before this issue showed up.

However, the test did seem to show that the problem has been resolved. I won't being able to properly confirm whether it is fully functional until I can get the machine running with this kernel full time.
Comment 12 Fedora Update System 2016-02-23 14:48:39 EST
kernel-4.3.5-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.